from setuptools import setup, find_packages

setup(
    name='multismote',
    version='0.1.0',
    description='Fast implementation of Multi-label SMOTE',
    author='Your Name',
    packages=find_packages(),
    install_requires=[
        'numpy>=1.21.0',
        'scikit-learn>=1.0.0',
        'scipy>=1.7.0'
    ],
    python_requires='>=3.7',
    classifiers=[
        'Development Status :: 3 - Alpha',
        'Intended Audience :: Developers',
        'Intended Audience :: Science/Research',
        'License :: OSI Approved :: MIT License',
        'Programming Language :: Python :: 3',
        'Programming Language :: Python :: 3.7',
        'Programming Language :: Python :: 3.8',
        'Programming Language :: Python :: 3.9',
        'Topic :: Scientific/Engineering :: Artificial Intelligence'
    ]
)
